/*
 *
 * Keeblarcraft
 *
 * This is the primary server side "main" object that is referenced by Fabric. This is where everything is setup for the mod
 * and a very important class. Please becareful as you add to it
 *
*/

package jesse.keeblarcraft;

import net.fabricmc.api.ModInitializer;
// import net.minecraft.server.command.ServerCommandSource;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import jesse.keeblarcraft.Commands.CustomCommandManager;

// import com.mojang.brigadier.Command;


public class Keeblarcraft implements ModInitializer {
    // This logger is used to write text to the console and the log file.
    // It is considered best practice to use your mod id as the logger's name.
    // That way, it's clear which mod wrote info, warnings, and errors.
    public static final Logger LOGGER = LoggerFactory.getLogger("keeblarcraft");
    CustomCommandManager cmdMgr = new CustomCommandManager();

    @Override
    public void onInitialize() {
        // This code runs as soon as Minecraft is in a mod-load-ready state.
        // However, some things (like resources) may still be uninitialized.
        // Proceed with mild caution.

        LOGGER.info("Hello Fabric world!");
        cmdMgr.RegisterCustomCommands();

        // I can't tell if this is required or not; and if it is I imagine it comes before I register the custom commands
        // Command<ServerCommandSource> command = context -> {
        //     ServerCommandSource source = context.getSource();
        //     return 0;
        // };
    }
}